Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 147311 - (libdv x86_64) build failure
Summary: (libdv x86_64) build failure
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libdv
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target 176909
TreeView+ depends on / blocked
 
Reported: 2005-02-07 02:41 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 21:56:53 UTC


Attachments (Terms of Use)

Description Warren Togami 2005-02-07 02:41:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041216 Firefox/1.0 Red Hat/1.0-13.EL4

Description of problem:
then mv -f ".deps/enctest.Tpo" ".deps/enctest.Po"; else rm -f
".deps/enctest.Tpo"; exit 1; fi
/bin/sh ../libtool --silent --mode=link --tag=CC
x86_64-redhat-linux-gcc  -O2 -g -pipe -D_FORTIFY_SOURCE=2 -m64 -Wall
-g   -o libdv.la -rpath /usr/lib64 -version-info 4:2:0 dv.lo dct.lo
idct_248.lo weighting.lo quant.lo vlc.lo place.lo parse.lo
bitstream.lo YUY2.lo YV12.lo rgb.lo audio.lo util.lo encode.lo
headers.lo enc_input.lo enc_audio_input.lo enc_output.lo vlc_x86_64.lo
quant_x86_64.lo idct_block_mmx_x86_64.lo dct_block_mmx_x86_64.lo
rgbtoyuv_x86_64.lo encode_x86_64.lo transpose_x86_64.lo  -lm
/usr/bin/ld: .libs/vlc_x86_64.o: relocation R_X86_64_PC32 against
`dv_vlc_class_index_mask' can not be used when making a shared object;
recompile with -fPIC
/usr/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status

Version-Release number of selected component (if applicable):
libdv-0.104

(For now backing down to libdv-0.103 so it is ready for FC4test1.)

Comment 1 Warren Togami 2005-02-07 02:54:04 UTC
Ulrich Drepper says:
the message says it all: vlc_x86_64 is compiled without -fpic or, if
it's an asm file, has code which needs to be rewritten

FC3's 0.103-based SRPM rebuilds on dist-fc4, so this may be the result
of upstream's x86-64 changes.  Consulting upstream.

Comment 2 Warren Togami 2005-02-12 07:44:41 UTC
I have not had time to review the below yet.

Dan Dennedy said:
Please review this thread:
http://sourceforge.net/mailarchive/forum.php?thread_id=5756058&forum_id=5458

The patch in the last message of the thread is in libdv CVS. Would you
please either try the patch alone or our CVS?

Comment 3 Miloslav Trmač 2005-04-27 13:21:04 UTC
While I'm certainly no x86_64 expert, the patch
(http://www.users.qwest.net/~kdean6/libdv_reloc_fixes.tar.bz2) looks
correct.

Comment 4 Warren Togami 2005-05-12 08:14:06 UTC
Not important, pushing to FC5.


Comment 5 Warren Togami 2005-12-19 19:40:19 UTC
http://www.mail-archive.com/pld-cvs-commit@lists.pld-linux.org/msg26678.html
It was mentioned that we also need this.

Comment 6 Matthias Saou 2006-02-16 12:56:11 UTC
After patch hunting for a while, I've rebuilt libdv 0.104 on FC development
x86_64, and the dvgrab testing I did went just fine. Here is a temporary
location to the files I used for my build :

http://ftp.es6.freshrpms.net/tmp/libdv/

The MMX patch is still the same as for 0.103, but from there, patches from
Gentoo and PLD were added to make it build and optimize on x86_64.

Comment 7 Warren Togami 2006-03-07 21:56:53 UTC
Accepted into rawhide, please be sure that it actually works.
0:0.104-2

We couldn't remove the Epoch: 0 because beehive doesn't know how to handle the
N-V-R comparison. =(


Comment 8 Matthias Saou 2006-03-09 09:55:40 UTC
Tested on my x86_64 FC5test/devel system, and it works fine! Thanks :-)

<subliminal>
Zero epochs are bad, zero epochs aree bad, zero epochs are bad...
</subliminal>


Note You need to log in before you can comment on or make changes to this bug.